<%@ Page Language="C#" AutoEventWireup="true" CodeFile="MovieDetails.aspx.cs" Inherits="MovieDetails" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
    <title>Movie Details Page</title>
    <style type="text/css">
        body { font-family:verdana; }
        h4 { margin-bottom:0px; }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <h2><%# movieDetails["name"] %></h2>
        <div><a href="Default.aspx">Back to Julie Andrew's Movies</a></div>
        <h4>Details</h4>
        <table>
            <tr>
                <td>Year: </td>
                <td><%# movieDetails["year"] %></td>
            </tr>
            <tr>
                <td>Rank: </td>
                <td><%# movieDetails["rank"] %></td>
            </tr>
        </table>       
                
        <asp:Repeater ID="directorRepeater" runat="server">
            <HeaderTemplate>
                <h4>Directors</h4>
                <table>
            </HeaderTemplate>
            <ItemTemplate>
                <tr>
                    <td><%# DataBinder.Eval(Container.DataItem, "fname") %> <%# DataBinder.Eval(Container.DataItem, "lname") %></td>
                </tr>
            </ItemTemplate>
            <FooterTemplate>
                </table>
            </FooterTemplate>
        </asp:Repeater>
        
        <asp:Repeater ID="castRepeater" runat="server">
            <HeaderTemplate>
                <h4>Cast</h4>
                <table>
            </HeaderTemplate>
            <ItemTemplate>
                <tr>
                    <td><%# DataBinder.Eval(Container.DataItem, "fname") %> <%# DataBinder.Eval(Container.DataItem, "lname") %></td>
                    <td><%# DataBinder.Eval(Container.DataItem, "role") %></td>
                </tr>
            </ItemTemplate>
            <FooterTemplate>
                </table>
            </FooterTemplate>
        </asp:Repeater>
    </div>
    </form>
</body>
</html>
